Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class NetworkClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--com.compoze.util.NetworkClassLoader

public class NetworkClassLoader
extends java.lang.ClassLoader

This class is a network class loader.

Constructor Summary
`NetworkClassLoader(java.net.InetAddress host)` Constructor.
`NetworkClassLoader(java.net.InetAddress host, int iPort)` Constructor.

Method Summary
`java.lang.Class` | `findClass(java.lang.String sName)` Finds a class.
`java.net.URL` | `findResource(java.lang.String sName)` Finds a class.
`java.io.InputStream` | `getResourceAsStream(java.lang.String sName)` Finds a resource.
`java.io.File` | `loadResourceData(java.lang.String sName)` Loads a resource.
`static void` | `main(java.lang.String[] args)` Main.

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkClassLoader

    public NetworkClassLoader(java.net.InetAddress host)
                       throws java.io.IOException

  Constructor.

### NetworkClassLoader

    public NetworkClassLoader(java.net.InetAddress host,
                              int iPort)
                       throws java.io.IOException

  Constructor.

Method Detail

### findClass

    public java.lang.Class findClass(java.lang.String sName)
                              throws java.lang.ClassNotFoundException

  Finds a class.
  Overrides:
    `findClass` in class `java.lang.ClassLoader`

### findResource

    public java.net.URL findResource(java.lang.String sName)

  Finds a class.
  Overrides:
    `findResource` in class `java.lang.ClassLoader`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String sName)

  Finds a resource.
  Overrides:
    `getResourceAsStream` in class `java.lang.ClassLoader`

### loadResourceData

    public java.io.File loadResourceData(java.lang.String sName)
                                  throws java.lang.ClassNotFoundException,
                                         java.io.IOException

  Loads a resource.

### main

    public static void main(java.lang.String[] args)

  Main.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.